Bug 1914 - myproxy put -cert/-key with cert chain support
: myproxy put -cert/-key with cert chain support
Status: RESOLVED FIXED
: CoG jglobus
myproxy
: 1.2
: All All
: P3 contribution
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2004-09-09 10:50 by
Modified: 2005-12-05 17:24 (History)


Attachments
patch to add -cert and -key options to myproxy put and support multiple certificates in certificate file (5.79 KB, patch)
2004-09-09 10:52, Jim Basney
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-09-09 10:50:04
Here's a patch to add -cert and -key options to myproxy put, similar to the
grid-proxy-init -cert/-key options, and to add support in myproxy put for
certificate files that contain multiple certificates.  This allows users to pass
in a proxy file with -cert/-key to store on the myproxy server, like this:

  $ myproxy -h corduroy.ncsa.uiuc.edu put -key /tmp/x509up_u501 -cert
/tmp/x509up_u501

Could you include this patch (or something equivalent) in future releases of the
Java CoG?

It might be useful to add support for multiple certificates to the CoG
grid-proxy-init as well.  Currently, the following works for the Globus Toolkit
C grid-proxy-init but not the Java CoG grid-proxy-init:

  $ grid-proxy-init -cert /tmp/x509up_u501 -key /tmp/x509up_u501
------- Comment #1 From 2004-09-09 10:52:12 -------
Created an attachment (id=431) [details]
patch to add -cert and -key options to myproxy put and support multiple
certificates in certificate file
------- Comment #2 From 2004-09-14 00:52:36 -------
Patches committed to cvs (also with the appropriate update to grid-proxy-init 
client). Thanks again!